Forum > QT

After upgrade to Laz 2.2.2. from 2.2.0, project can't run

(1/3) > >>

Gald:
I've done nothing, just upgraded the Lazarus and tried to compile any project.

I'm getting this message on debugging:

Execution stopped with -code -1173741515 ($C0000135)

What i have to do?

wp:
Did you try a "Clean up and build" (in the "Run" menu)?

Thaddy:
The error is a Microsoft provided error message which basically says it is unable to load a - Windows - component.
Has nothing to do with Lazarus, but with your Windows configuration, amongst other things, possibly the path.

If it is the path, Lazarus should have left that alone during install and it does not even use it. I can't check that, because I almost never have problems upgrading.

Martin_fr:
Apparently Windows? Which version of Windows? 64 or 32 bit?

Any packages installed in Lazarus?

Any packages that need dll?


--- Quote ---Execution stopped with -code -1173741515 ($C0000135)
--- End quote ---
This is in the "messages window" ? That is, the compilation is aborted?
If you check the project folder there is no exe file generated (check the timestamp, in case your old exe is still there)?

Or this is when your app starts to run?

Thaddy:
Google on C0000135 or 0xC0000135 for more information. There are many results. I relied on msdn.
I only checked win64. IMHO there is no point in checking for win32 since it is phased out from mainstream windows (like win95) and has already a 10 years+ grace period. Which is about to expire... >:D after win11 which is already 32 bit unfriendly.

Oh well, FPC supports more legacy platforms, let's add one.... O:-)

Can those 32bit Windows adepts finally keep their mouth shut?
https://www.youtube.com/watch?v=vZw35VUBdzo

Get the point?

Navigation

[0] Message Index

[#] Next page

Go to full version